POST api/ScheduleReport/SaveReportRecipient
Request Information
URI Parameters
None.
Body Parameters
ReportRecipientDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| ReportId | integer |
None. |
|
| string |
String length: inclusive between 0 and 100 |
||
| Type | integer |
None. |
|
| TypeName | string |
String length: inclusive between 0 and 50 |
|
| Name | string |
String length: inclusive between 0 and 100 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"ReportId": 2,
"Email": "sample string 3",
"Type": 4,
"TypeName": "sample string 5",
"Name": "sample string 6",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:31.3122101-07:00",
"DateUpdated": "2026-08-04T14:25:31.3122101-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfReportRecipientDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | ReportRecipientDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"ReportId": 2,
"Email": "sample string 3",
"Type": 4,
"TypeName": "sample string 5",
"Name": "sample string 6",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:31.3278116-07:00",
"DateUpdated": "2026-08-04T14:25:31.3278116-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
},
"totalCount": 3
}